
Ruby - Bug #12823

compile issues 2.2.5 with cygwin

10/09/2016 06:41 AM - crastub63 (Craig Stuber)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.2.5 Backport: 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

Description

Type error in ./missing/crypt.c

Associated revisions

Revision 55f7a78ca3ba9e1fe679bd678ff43f54ff9d475b - 10/17/2016 05:23 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55232: [Backport #12823]

    crypt.c: protoize

    * missing/crypt.c: protoize function definitions and make

 always-zero functions void.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@56437 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 55f7a78c - 10/17/2016 05:23 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55232: [Backport #12823]

    crypt.c: protoize

    * missing/crypt.c: protoize function definitions and make

 always-zero functions void.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@56437 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9e4e7771662043a56f2588aff2d3263401bd0997 - 10/27/2016 07:38 AM - U.Nakamura 

merge revision(s) 55232: [Backport #12823]

    crypt.c: protoize

    * missing/crypt.c: protoize function definitions and make

 always-zero functions void.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@56503 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9e4e7771 - 10/27/2016 07:38 AM - U.Nakamura 

merge revision(s) 55232: [Backport #12823]

    crypt.c: protoize

    * missing/crypt.c: protoize function definitions and make

 always-zero functions void.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@56503 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/09/2016 01:02 PM - nobu (Nobuyoshi Nakada)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: UNKNOWN, 2.2: REQUIRED, 2.3: REQUIRED
#2 - 10/09/2016 01:44 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- Backport changed from 2.1: UNKNOWN, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED

#3 - 10/17/2016 05:23 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r56437 merged revision(s) 55232.

#4 - 10/27/2016 07:38 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_2 r56503 merged revision(s) 55232.

Files

cygwin2.2.5_error_warning.txt 3.25 KB 10/09/2016 crastub63 (Craig Stuber)
